using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;

namespace TemperatureLogbook
{
    public partial class Form4 : Form
    {
           
       public ICollection createDataSource()
       {
        DataTable dt = new DataTable();
        DataRow dr;
        // create a DataTable    
        dt.Columns.Add(new DataColumn("ID", typeof(Int32)));
        dt.Columns.Add(new DataColumn("Location", typeof(string)));
        dt.Columns.Add(new DataColumn("Date/Time", typeof(DateTime)));
        dt.Columns.Add(new DataColumn("Temperature", typeof(double)));

        //Make some rows and put some sample data in
       for (int i = 0; i < 9; i++) {
            dr = dt.NewRow();
            Item item = new Item();

            dr[0] = item.id;
            dr[1] = item.location;
            dr[2] = item.dateTime;
            dr[3] = item.temperature;

            dt.Rows.Add(dr);
        }

        DataView dv = new DataView(dt);
        return dv;
       }

        public Form4()
        {
            InitializeComponent();
            dataGridView1.DataSource = createDataSource();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            dataGridView1.DataSource = createDataSource();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.Hide();
            Form7 form = new Form7();
            form.ShowDialog();

            DataRow dr = ((DataView)dataGridView1.DataSource).Table.NewRow();
            dr[0] = form.item.id;
            dr[1] = form.item.location;
            dr[2] = form.item.dateTime;
            dr[3] = form.item.temperature;
            ((DataView)dataGridView1.DataSource).Table.Rows.Add(dr);
          
            this.Show();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            DataGridViewSelectedRowCollection rows = dataGridView1.SelectedRows;
  
            foreach (DataGridViewRow item in rows)
            {
                dataGridView1.Rows.Remove(item);
            }
            dataGridView1.Refresh();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            DataGridViewSelectedRowCollection rows = dataGridView1.SelectedRows;

            if (rows.Count == 1)
            {
                this.Hide();
                Form5 form = new Form5();
                form.item = new Item();
                form.item.id = (Int32)(rows[0].Cells[0].Value);
                form.item.location = (String)(rows[0].Cells[1].Value);
                form.item.dateTime = (DateTime)(rows[0].Cells[2].Value);
                form.item.temperature = (Double)(rows[0].Cells[3].Value);
                form.ShowDialog();

                (rows[0].Cells[0].Value) = form.item.id;
                (rows[0].Cells[1].Value) = form.item.location;
                (rows[0].Cells[2].Value) = form.item.dateTime;
                (rows[0].Cells[3].Value) = form.item.temperature;
                form.Close();
                this.Show();
            }
            else
            {
                MessageBox.Show("Invalid row count");
            }
        }

        private void button4_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Thanks!");
            Application.Exit();
        }

    }
}